zenilib: zenilib/jni/external/freetype2/include/freetype/ftwinfnt.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
ftwinfnt.h File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`

Go to the source code of this file.

## Classes

struct | FT_WinFNT_HeaderRec_

## Macros

#define | FT_WinFNT_ID_CP1250 238
#define | FT_WinFNT_ID_CP1251 204
#define | FT_WinFNT_ID_CP1252 0
#define | FT_WinFNT_ID_CP1253 161
#define | FT_WinFNT_ID_CP1254 162
#define | FT_WinFNT_ID_CP1255 177
#define | FT_WinFNT_ID_CP1256 178
#define | FT_WinFNT_ID_CP1257 186
#define | FT_WinFNT_ID_CP1258 163
#define | FT_WinFNT_ID_CP1361 130
#define | FT_WinFNT_ID_CP874 222
#define | FT_WinFNT_ID_CP932 128
#define | FT_WinFNT_ID_CP936 134
#define | FT_WinFNT_ID_CP949 129
#define | FT_WinFNT_ID_CP950 136
#define | FT_WinFNT_ID_DEFAULT 1
#define | FT_WinFNT_ID_MAC 77
#define | FT_WinFNT_ID_OEM 255
#define | FT_WinFNT_ID_SYMBOL 2

## Typedefs

typedef struct FT_WinFNT_HeaderRec_ * | FT_WinFNT_Header
typedef struct FT_WinFNT_HeaderRec_ | FT_WinFNT_HeaderRec

## Functions

| FT_Get_WinFNT_Header (FT_Face face, FT_WinFNT_HeaderRec *aheader)

## Macro Definition Documentation

#define FT_WinFNT_ID_CP1250 238

Definition at line 171 of file ftwinfnt.h.

#define FT_WinFNT_ID_CP1251 204

Definition at line 169 of file ftwinfnt.h.

#define FT_WinFNT_ID_CP1252 0

Definition at line 154 of file ftwinfnt.h.

#define FT_WinFNT_ID_CP1253 161

Definition at line 163 of file ftwinfnt.h.

#define FT_WinFNT_ID_CP1254 162

Definition at line 164 of file ftwinfnt.h.

#define FT_WinFNT_ID_CP1255 177

Definition at line 166 of file ftwinfnt.h.

#define FT_WinFNT_ID_CP1256 178

Definition at line 167 of file ftwinfnt.h.

#define FT_WinFNT_ID_CP1257 186

Definition at line 168 of file ftwinfnt.h.

#define FT_WinFNT_ID_CP1258 163

Definition at line 165 of file ftwinfnt.h.

#define FT_WinFNT_ID_CP1361 130

Definition at line 160 of file ftwinfnt.h.

#define FT_WinFNT_ID_CP874 222

Definition at line 170 of file ftwinfnt.h.

#define FT_WinFNT_ID_CP932 128

Definition at line 158 of file ftwinfnt.h.

#define FT_WinFNT_ID_CP936 134

Definition at line 161 of file ftwinfnt.h.

#define FT_WinFNT_ID_CP949 129

Definition at line 159 of file ftwinfnt.h.

#define FT_WinFNT_ID_CP950 136

Definition at line 162 of file ftwinfnt.h.

#define FT_WinFNT_ID_DEFAULT 1

Definition at line 155 of file ftwinfnt.h.

#define FT_WinFNT_ID_MAC 77

Definition at line 157 of file ftwinfnt.h.

Referenced by FNT_Face_Init().

#define FT_WinFNT_ID_OEM 255

Definition at line 172 of file ftwinfnt.h.

#define FT_WinFNT_ID_SYMBOL 2

Definition at line 156 of file ftwinfnt.h.

## Typedef Documentation

typedef struct FT_WinFNT_HeaderRec_* FT_WinFNT_Header

Definition at line 233 of file ftwinfnt.h.

typedef struct FT_WinFNT_HeaderRec_ FT_WinFNT_HeaderRec

## Function Documentation

FT_Get_WinFNT_Header | ( | FT_Face | face,
|  | FT_WinFNT_HeaderRec * | aheader
| ) |  |

Definition at line 28 of file ftwinfnt.c.

References error, FT_Err_Invalid_Argument, FT_FACE_LOOKUP_SERVICE, and NULL.